Subject: Re: Make commit messages optional

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 Apr 2022 10:59:47 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> On Fri, Apr 08 2022, Erik Cervin Edin wrote:
>
>> At the risk of bikeshedding.
>>
>> The case in favor of not allowing empty commit messages by default is
>> that most of the time, empty commit messages are useless.
>>
>> I've written my fair share of poor commit messages (-,..., wip, foo).
>> Sometimes I've fixed that retroactively, sometimes not. The advantage
>> I see with empty commit messages is that it's more ubiquitous to
>> "write something better" or "whatever". The downside is I can't git
>> log --grep '^$' to find them.
>
> You can:
>
>     git log --invert-grep --grep '.'

Wow, that's nasty.

In any case, "--allow-empty-messages" exists, and that is where we
draw the line.  We will not bend over backwards beyond it.

Thanks.